Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

cannot remove Object::ClassMethods #21

Open
jch opened this Issue Sep 13, 2010 · 0 comments

Comments

Projects
None yet
1 participant

jch commented Sep 13, 2010

When running:

$ RAILS_ENV=test rake hydra:spec --trace
(in /Users/jch/projects/pharmmd)
rake aborted!
cannot remove Object::ClassMethods
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:603:in `remove_const'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:603:in `remove_constant'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:603:in `instance_eval'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:603:in `remove_constant'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:549:in `new_constants_in'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:549:in `each'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:549:in `new_constants_in'
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/activesupport-2.3.4/lib/active_support/dependencies.rb:156:in `require'
/Users/jch/projects/my_project/Rakefile:20
/Users/jch/.rvm/gems/ree-1.8.7-2010.02/gems/hydra-0.22.2/lib/hydra/tasks.rb:79:in `initialize'

Rakefile line 20 attempts to load spec/spec_helper, which in turn fails when trying to load config/environment.rb

require 'hydra'
require 'hydra/tasks'
# set up a new hydra testing task named 'hydra:spec' run with "rake hydra:spec"
Hydra::TestTask.new('hydra:spec') do |t|
  require 'spec/spec_helper'  # fails here after trying to load config/environment.rb
  t.add_files 'spec/**/*_spec.rb'
end

The app is on Rails version 2.3.4. I tried this using my system ruby (1.8.7) and also got the same error. It runs fine if I do a normal 'rake spec'. Let me know if any other details would be helpful.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment